"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const _baseAssignValue = require("./_baseAssignValue.js");
function fromPairs(pairs) {
  var index = -1, length = pairs == null ? 0 : pairs.length, result = {};
  while (++index < length) {
    var pair = pairs[index];
    _baseAssignValue.default(result, pair[0], pair[1]);
  }
  return result;
}
exports.default = fromPairs;
